Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SimpleSoundbank

    java.lang.Object
      com.sun.media.sound.SimpleSoundbank

All Implemented Interfaces:
  javax.sound.midi.Soundbank

    public class SimpleSoundbank

extends java.lang.Object
implements javax.sound.midi.Soundbank

A simple soundbank that contains instruments and soundbankresources.

Author:
  Karl Helgason

Constructor Summary
`SimpleSoundbank()`

Method Summary
`void` | `addAllInstruments(javax.sound.midi.Soundbank soundbank)`
`void` | `addInstrument(javax.sound.midi.Instrument resource)`
`void` | `addResource(javax.sound.midi.SoundbankResource resource)`
`java.lang.String` | `getDescription()`
`javax.sound.midi.Instrument` | `getInstrument(javax.sound.midi.Patch patch)`
`javax.sound.midi.Instrument[]` | `getInstruments()`
`java.lang.String` | `getName()`
`javax.sound.midi.SoundbankResource[]` | `getResources()`
`java.lang.String` | `getVendor()`
`java.lang.String` | `getVersion()`
`void` | `removeAllInstruments(javax.sound.midi.Soundbank soundbank)`
`void` | `removeInstrument(javax.sound.midi.Instrument resource)`
`void` | `removeResource(javax.sound.midi.SoundbankResource resource)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setVendor(java.lang.String vendor)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSoundbank

    public SimpleSoundbank()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.sound.midi.Soundbank`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `javax.sound.midi.Soundbank`

### getVendor

    public java.lang.String getVendor()

  Specified by:
    `getVendor` in interface `javax.sound.midi.Soundbank`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `javax.sound.midi.Soundbank`

### setDescription

    public void setDescription(java.lang.String description)

### setName

    public void setName(java.lang.String name)

### setVendor

    public void setVendor(java.lang.String vendor)

### setVersion

    public void setVersion(java.lang.String version)

### getResources

    public javax.sound.midi.SoundbankResource[] getResources()

  Specified by:
    `getResources` in interface `javax.sound.midi.Soundbank`

### getInstruments

    public javax.sound.midi.Instrument[] getInstruments()

  Specified by:
    `getInstruments` in interface `javax.sound.midi.Soundbank`

### getInstrument

    public javax.sound.midi.Instrument getInstrument(javax.sound.midi.Patch patch)

  Specified by:
    `getInstrument` in interface `javax.sound.midi.Soundbank`

### addResource

    public void addResource(javax.sound.midi.SoundbankResource resource)

### removeResource

    public void removeResource(javax.sound.midi.SoundbankResource resource)

### addInstrument

    public void addInstrument(javax.sound.midi.Instrument resource)

### removeInstrument

    public void removeInstrument(javax.sound.midi.Instrument resource)

### addAllInstruments

    public void addAllInstruments(javax.sound.midi.Soundbank soundbank)

### removeAllInstruments

    public void removeAllInstruments(javax.sound.midi.Soundbank soundbank)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD